%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	MP3-Info

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Manipulate / fetch info from MP3 audio files
Name:		perl-%{perlname}
Version:	1.23
Release:	1
Provides:	%{name} perl(Archive::Zip)
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=MP3+Info
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
This is MP3::Info, for getting info out of and into MP3 files.
This release has some more bugfixes for extracting ID3v2 tags,
including fixes for ID3v2.2.0, basic support for ID3v2.4.0, and
support for Unicode tags. See the documentation for more information.
A wrapper module is included so scripts calling MPEG::MP3Info (the
old name) will still work.

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.23-1
- Version Update
* Wed May 17 2006 Christian Wasem <waseem@ccux-linux.de> 1.20-2
- rebuild against perl-5.8.8
* Thu Feb 02 2006 Christian Wasem <waseem@ccux-linux.de> 1.20-1
- Initial Release
